Recuperar fatura
curl --request GET \
--url https://api.malvo.io/bills/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/bills/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/bills/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/bills/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"accountId": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"dueDate": "2023-07-20T00:00:00",
"totalAmount": 50000,
"totalAmountCurrencyCode": "BRL",
"minimumPaymentAmount": 50000,
"allowsInstallments": true,
"financeCharges": [
{
"id": "123456bf-c196-47ea-a28c-8251d6bb8777",
"creditCardBillId": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"type": "IOF",
"amount": 20.51,
"currencyCode": "BRL",
"additionalInfo": "NA"
}
]
}{
"code": 404,
"codeDescription": "CREDIT_CARD_BILL_NOT_FOUND",
"message": "Bill not found"
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Bills
Recuperar fatura
Recupera uma única fatura pelo seu identificador. Na recuperação individual, os campos accountId (na fatura) e creditCardBillId (em cada finance charge) também são retornados.
GET
/
bills
/
{id}
Recuperar fatura
curl --request GET \
--url https://api.malvo.io/bills/{id} \
--header 'X-API-KEY: <api-key>'const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.malvo.io/bills/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.malvo.io/bills/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.malvo.io/bills/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"accountId": "5e9f8f8f-f8f8-4f8f-8f8f-8f8f8f8f8f8f",
"dueDate": "2023-07-20T00:00:00",
"totalAmount": 50000,
"totalAmountCurrencyCode": "BRL",
"minimumPaymentAmount": 50000,
"allowsInstallments": true,
"financeCharges": [
{
"id": "123456bf-c196-47ea-a28c-8251d6bb8777",
"creditCardBillId": "05c693bf-c196-47ea-a28c-8251d6bb8a06",
"type": "IOF",
"amount": 20.51,
"currencyCode": "BRL",
"additionalInfo": "NA"
}
]
}{
"code": 404,
"codeDescription": "CREDIT_CARD_BILL_NOT_FOUND",
"message": "Bill not found"
}{
"code": 500,
"codeDescription": "INTERNAL_SERVER_ERROR",
"message": "Internal Server Error"
}Authorizations
Chave de API obrigatória em todas as rotas.
Path Parameters
Identificador primário da fatura.
Response
Objeto Bill.
Fatura de cartão de crédito. Os campos accountId (na fatura) e creditCardBillId (em cada finance charge) aparecem na recuperação individual.
Conta de cartão de crédito proprietária.
Prazo de pagamento exibido ao cliente.
Valor total da fatura.
Ex.: BRL.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pagamento mínimo devido.
Indica se a fatura é elegível a parcelamento.